# Vert

Vert is the service container for Vue to build Vue applications in OOP.

[![npm version](https://badge.fury.io/js/%40vert%2Fcore.svg)](https://badge.fury.io/js/%40vert%2Fcore)
[![Build Status](https://travis-ci.org/LancerComet/Vert-Core.svg?branch=master)](https://github.com/LancerComet/Vert-Core)

![vert-logo](https://raw.githubusercontent.com/LancerComet/Vert-Core/master/logo.png)

## Introduction

Vert is a library which is designed for building applications that are based on Vue in OOP. It provides some function and decorators to help you to achieve that goal. In General, it's a service container for Vue and makes your project Angular-like.

## Features

 - Build OOP Vue apps by using Angular-like grammar.
 - Pure TypeScript Experience.
 - Service container for Vue.
 - Inject dependencies into Vue components directly.
 - Built-in service ([@vert/services](https://github.com/LancerComet/Vert-Services)).
 - Available for both [Vue-SSR](https://ssr.vuejs.org) and [Nuxt.js](https://github.com/nuxt/nuxt.js).
 
## Documents

Please check all documents under `/doc` folder.

## Demo

 - [vert-vue-ssr-template](https://github.com/LancerComet/vert-vue-ssr-template)
 - [vert-demo](https://github.com/LancerComet/Vert-Demo)

## Take care of yourself

I have done several projects with this tool, but however it is a early version, so take care of yourself, leave me a issue if there is a bug.

## License

MIT
